<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
<th:block th:fragment="content">
  <style>
    .username {
      margin-left: auto;
    }
  </style>
  <link rel="stylesheet" th:href="styles.css">

  <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <a class="navbar-brand" th:href="@{/index}">DVD-rental</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
            aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" th:href="@{/category/list}">Categories</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" th:href="@{/actor/list}">Actors</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" th:href="@{/film/list}">Films</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" th:href="@{/country/list}">Countries</a>
        </li>
        <div sec:authorize="hasRole('ROLE_ADMIN')">
          <li class="nav-item">
            <a class="nav-link" th:href="@{/customers/list}">Customers</a>
          </li>
        </div>

        <li class="nav-item">
          <a class="nav-link" th:href="@{/city/list}">Cities</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" th:href="@{/address/list}">Addresses</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" th:href="@{/payment/list}">Payment</a>
        </li>
      </ul>

      <ul class="navbar-nav ml-auto username">
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown"
             aria-haspopup="true" aria-expanded="false">
            <span class="username" th:text="${username}">Username</span>
          </a>
          <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
            <a class="dropdown-item" th:href="@{/auth/logout}">Logout</a>
          </div>
        </li>
      </ul>
    </div>
  </nav>
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</th:block>
</html>
